searchNodes=[{"doc":"Module for generating Numato GPIO commands","ref":"Numato.Commands.html","title":"Numato.Commands","type":"module"},{"doc":"Creates command for reading a single ADC input.Examples iex&gt; Numato.Commands.adc_read(1) &quot;adc read 1\\r\\n&quot;","ref":"Numato.Commands.html#adc_read/1","title":"Numato.Commands.adc_read/1","type":"function"},{"doc":"Creates command for setting iodir.Examples iex&gt; Numato.Commands.gpio_iodir(&lt;&lt;254, 2, 255, 1&gt;&gt;) &quot;gpio iodir fe02ff01\\r\\n&quot;","ref":"Numato.Commands.html#gpio_iodir/1","title":"Numato.Commands.gpio_iodir/1","type":"function"},{"doc":"Creates command for setting iomask.Examples iex&gt; Numato.Commands.gpio_iomask(&lt;&lt;255, 1, 254, 2&gt;&gt;) &quot;gpio iomask ff01fe02\\r\\n&quot;","ref":"Numato.Commands.html#gpio_iomask/1","title":"Numato.Commands.gpio_iomask/1","type":"function"},{"doc":"Creates command for getting state of notifications.Examples iex&gt; Numato.Commands.gpio_notify_get() &quot;gpio notify get\\r\\n&quot;","ref":"Numato.Commands.html#gpio_notify_get/0","title":"Numato.Commands.gpio_notify_get/0","type":"function"},{"doc":"Creates command for turning off GPIO notifications.Examples iex&gt; Numato.Commands.gpio_notify_off() &quot;gpio notify off\\r\\n&quot;","ref":"Numato.Commands.html#gpio_notify_off/0","title":"Numato.Commands.gpio_notify_off/0","type":"function"},{"doc":"Creates command for turning on GPIO notifications.Examples iex&gt; Numato.Commands.gpio_notify_on() &quot;gpio notify on\\r\\n&quot;","ref":"Numato.Commands.html#gpio_notify_on/0","title":"Numato.Commands.gpio_notify_on/0","type":"function"},{"doc":"Creates command for reading a single GPIO.Examples: iex&gt; Numato.Commands.gpio_read(3) &quot;gpio read 3\\r\\n&quot;","ref":"Numato.Commands.html#gpio_read/1","title":"Numato.Commands.gpio_read/1","type":"function"},{"doc":"Creates command for reading all GPIO states in a single operation.Examples iex&gt; Numato.Commands.gpio_readall() &quot;gpio readall\\r\\n&quot;","ref":"Numato.Commands.html#gpio_readall/0","title":"Numato.Commands.gpio_readall/0","type":"function"},{"doc":"Creates command for setting or clearing a single GPIO.Examples: iex&gt; Numato.Commands.gpio_write(13, 1) &quot;gpio set D\\r\\n&quot; iex&gt; Numato.Commands.gpio_write(2, 0) &quot;gpio clear 2\\r\\n&quot;","ref":"Numato.Commands.html#gpio_write/2","title":"Numato.Commands.gpio_write/2","type":"function"},{"doc":"Creates command for writing all GPIOs in a single operation.Examples iex&gt; Numato.Commands.gpio_writeall(&lt;&lt;255, 254, 253, 252&gt;&gt;) &quot;gpio writeall fffefdfc\\r\\n&quot;","ref":"Numato.Commands.html#gpio_writeall/1","title":"Numato.Commands.gpio_writeall/1","type":"function"},{"doc":"Creates command for getting id.Examples: iex&gt; Numato.Commands.id_get() &quot;id get\\r\\n&quot;","ref":"Numato.Commands.html#id_get/0","title":"Numato.Commands.id_get/0","type":"function"},{"doc":"Creates command for setting id.Examples: iex&gt; Numato.Commands.id_set(&quot;12345678&quot;) &quot;id set 12345678\\r\\n&quot;","ref":"Numato.Commands.html#id_set/1","title":"Numato.Commands.id_set/1","type":"function"},{"doc":"Creates command for getting version.Examples iex&gt; Numato.Commands.ver() &quot;ver\\r\\n&quot;","ref":"Numato.Commands.html#ver/0","title":"Numato.Commands.ver/0","type":"function"},{"doc":"","ref":"Numato.Gpio.html","title":"Numato.Gpio","type":"module"},{"doc":"Reads the analog voltage present at the given ADC input. Responses are integeres in range 0 - 1023.","ref":"Numato.Gpio.html#adc_read/2","title":"Numato.Gpio.adc_read/2","type":"function"},{"doc":"Sets the direction of all GPIOs in a single operation. A 0 in a bit position configures that GPIO as output and 1 configures it as input.This operation respects the iomask, set using Numato.Gpio.gpio_iomask() function.","ref":"Numato.Gpio.html#gpio_iodir/2","title":"Numato.Gpio.gpio_iodir/2","type":"function"},{"doc":"Sets mask for subsequent GPIO Numato.Gpio.gpio_writeall and Numato_Gpio.gpio_iodir commands. A 0 in a bit position mask the corresponding GPIO and any update to that GPIO is ignored during Numato.Gpio.gpio_iodir and Numato.Gpio.gpio_writeall operations.","ref":"Numato.Gpio.html#gpio_iomask/2","title":"Numato.Gpio.gpio_iomask/2","type":"function"},{"doc":"Returns information whether notifications are enabled (true) or disabled ('false`).","ref":"Numato.Gpio.html#gpio_notify_get/1","title":"Numato.Gpio.gpio_notify_get/1","type":"function"},{"doc":"Disables GPIOs input change notifications.","ref":"Numato.Gpio.html#gpio_notify_off/1","title":"Numato.Gpio.gpio_notify_off/1","type":"function"},{"doc":"Enables GPIOs input change notifications. When notifications are enabled, this GenStage process will produce events that are tuples with three elemetns: {current_value, previous_value, iodir}.","ref":"Numato.Gpio.html#gpio_notify_on/1","title":"Numato.Gpio.gpio_notify_on/1","type":"function"},{"doc":"Reads the digial input status for the given GPIO. Returns 0 for low and 1 for high state.","ref":"Numato.Gpio.html#gpio_read/2","title":"Numato.Gpio.gpio_read/2","type":"function"},{"doc":"Reads the status of all GPIOs in a single operation.","ref":"Numato.Gpio.html#gpio_readall/1","title":"Numato.Gpio.gpio_readall/1","type":"function"},{"doc":"Sets the GPIO output status to either low (value 0) or high (value 1).","ref":"Numato.Gpio.html#gpio_write/3","title":"Numato.Gpio.gpio_write/3","type":"function"},{"doc":"Controls al GPIOs in a single operation.This operation respects the iomask, set using Numato.Gpio.gpio_iomask() function.","ref":"Numato.Gpio.html#gpio_writeall/2","title":"Numato.Gpio.gpio_writeall/2","type":"function"},{"doc":"Callback implementation for GenStage.handle_call/3.","ref":"Numato.Gpio.html#handle_call/3","title":"Numato.Gpio.handle_call/3","type":"function"},{"doc":"Callback implementation for GenStage.handle_demand/2.","ref":"Numato.Gpio.html#handle_demand/2","title":"Numato.Gpio.handle_demand/2","type":"function"},{"doc":"Callback implementation for GenStage.handle_info/2.","ref":"Numato.Gpio.html#handle_info/2","title":"Numato.Gpio.handle_info/2","type":"function"},{"doc":"Reads ID of the Numato module.","ref":"Numato.Gpio.html#id_get/1","title":"Numato.Gpio.id_get/1","type":"function"},{"doc":"Writes ID of the Numato module. The ID must be a string with exactly 8 characters.","ref":"Numato.Gpio.html#id_set/2","title":"Numato.Gpio.id_set/2","type":"function"},{"doc":"Callback implementation for GenStage.init/1.","ref":"Numato.Gpio.html#init/1","title":"Numato.Gpio.init/1","type":"function"},{"doc":"","ref":"Numato.Gpio.html#start_link/1","title":"Numato.Gpio.start_link/1","type":"function"},{"doc":"Returns Numato firmware version.","ref":"Numato.Gpio.html#ver/1","title":"Numato.Gpio.ver/1","type":"function"},{"doc":"","ref":"Numato.Gpio.State.html","title":"Numato.Gpio.State","type":"module"},{"doc":"","ref":"Numato.Responses.html","title":"Numato.Responses","type":"module"},{"doc":"Parser response received from COM port.Examples iex&gt; Numato.Responses.parse(&quot;ABCDZDFF&quot;) iex&gt; Numato.Responses.parse(&quot;gpio notify enabled&quot;) iex&gt; Numato.Responses.parse(&quot;gpio notify disabled&quot;) iex&gt; Numato.Responses.parse(&quot;0102FFFE&quot;) iex&gt; Numato.Responses.parse(&quot;1023&quot;) iex&gt; Numato.Responses.parse(&quot;01020304 FFFEFDFC 0102FDFC&quot;) iex&gt; Numato.Responses.parse(&quot;ver&quot;) :echo iex&gt; Numato.Responses.parse(&quot;id set 12345678&quot;) :echo iex&gt; Numato.Responses.parse(&quot;id get&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio set 1&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio clear H&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio read 1&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio iomask FF01FE02&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio iodir FF01FE02&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio readall&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio writeall 12345678&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio notify on&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio notify off&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpio notify get&quot;) :echo iex&gt; Numato.Responses.parse(&quot;adc read A&quot;) :echo iex&gt; Numato.Responses.parse(&quot;&gt;&quot;) :echo iex&gt; Numato.Responses.parse(&quot;gpi123456789 read&quot;) :error","ref":"Numato.Responses.html#parse/1","title":"Numato.Responses.parse/1","type":"function"},{"doc":"","ref":"Numato.Responses.html#recognize_token/1","title":"Numato.Responses.recognize_token/1","type":"function"},{"doc":"","ref":"Numato.UART.Framing.State.html","title":"Numato.UART.Framing.State","type":"module"},{"doc":"","ref":"Numato.Utils.html","title":"Numato.Utils","type":"module"},{"doc":"Returns list of changed ports.Examples iex&gt; Numato.Utils.get_changed_ports(&lt;&lt;0xFF&gt;&gt;, &lt;&lt;0xFE&gt;&gt;, &lt;&lt;0xFF&gt;&gt;) [{0, 0}] iex&gt; Numato.Utils.get_changed_ports(&lt;&lt;0xFC&gt;&gt;, &lt;&lt;0xFF&gt;&gt;, &lt;&lt;0xFF&gt;&gt;) [{0, 1}, {1, 1}] iex&gt; Numato.Utils.get_changed_ports(&lt;&lt;0xFC&gt;&gt;, &lt;&lt;0xFF&gt;&gt;, &lt;&lt;0x01&gt;&gt;) [{0, 1}]","ref":"Numato.Utils.html#get_changed_ports/3","title":"Numato.Utils.get_changed_ports/3","type":"function"}]